Package org.eclipse.emf.cdo.spi.server

# Interface InternalSession

All Superinterfaces:
  `CDOCommonSession`, `CDOCommonSession.Options`, `CDOIDProvider`, `CDOPermissionProvider`, `org.eclipse.net4j.util.collection.Closeable`, `org.eclipse.net4j.util.collection.Entity.Store.Provider`, `IAdaptable`, `org.eclipse.net4j.util.container.IContainer<IView>`, `org.eclipse.net4j.util.concurrent.IExecutorServiceProvider`, `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.options.IOptions`, `org.eclipse.net4j.util.options.IOptionsContainer`, `org.eclipse.net4j.util.properties.IPropertiesContainer`, `ISession`, `org.eclipse.net4j.util.security.IUserAware`

public interface InternalSession extends ISession, CDOIDProvider, CDOPermissionProvider, CDOCommonSession.Options, org.eclipse.net4j.util.concurrent.IExecutorServiceProvider, org.eclipse.net4j.util.collection.Entity.Store.Provider
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  4.3
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.CDOCommonSession

`CDOCommonSession.Options`

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.CDOCommonSession.Options

`CDOCommonSession.Options.LockNotificationEvent, CDOCommonSession.Options.LockNotificationMode, CDOCommonSession.Options.LockNotificationModeEvent, CDOCommonSession.Options.PassiveUpdateEvent, CDOCommonSession.Options.PassiveUpdateMode`

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.security.CDOPermissionProvider

`CDOPermissionProvider.Constant`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`org.eclipse.net4j.util.container.IContainer.Modifiable<E extends Object>, org.eclipse.net4j.util.container.IContainer.Persistable<E extends Object>, org.eclipse.net4j.util.container.IContainer.Persistence<E extends Object>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`TEMP_VIEW_ID`

### Fields inherited from interface org.eclipse.emf.cdo.common.id.CDOIDProvider

`NOOP`

### Fields inherited from interface org.eclipse.emf.cdo.common.security.CDOPermissionProvider

`NONE, READ, WRITE`

## Method Summary

Modifier and Type
Method
Description
`void`
`collectContainedRevisions(InternalCDORevision revision, CDOBranchPoint branchPoint, int referenceChunk, Set<CDOID> revisions, List<CDORevision> additionalRevisions)`
`long`
`getFirstUpdateTime()`
`InternalSessionManager`
`getManager()`
`InternalRepository`
`getRepository()`
`InternalView`
`getView(int viewID)`
`InternalView[]`
`getViews()`
`boolean`
`isOpenOnClientSide()`
`InternalTransaction`
`openTransaction(int viewID, CDOBranchPoint branchPoint)`
`InternalTransaction`
`openTransaction(int viewID, CDOBranchPoint branchPoint, String durableLockingID)`
`InternalView`
`openView(int viewID, CDOBranchPoint branchPoint)`
`InternalView`
`openView(int viewID, CDOBranchPoint branchPoint, String durableLockingID)`
`void`
`sendBranchNotification(CDOBranchChangedEvent.ChangeKind changeKind, CDOBranch... branches)`
`void`
`sendBranchNotification(InternalCDOBranch branch)`
Deprecated.
As of 4.3 use `sendBranchNotification(InternalCDOBranch, ChangeKind)`.
`void`
`sendBranchNotification(InternalCDOBranch branch, CDOBranchChangedEvent.ChangeKind changeKind)`
Deprecated.
As of 4.15 use `sendBranchNotification(ChangeKind, CDOBranch...)`.
`void`
`sendCommitNotification(CDOCommitInfo commitInfo)`
Deprecated.
As of 4.2 use `sendCommitNotification(CDOCommitInfo, boolean)`.
`void`
`sendCommitNotification(CDOCommitInfo commitInfo, boolean clearResourcePathCache)`
Deprecated.
As of 4.3 use `sendCommitNotification(CommitNotificationInfo)`.
`void`
`sendCommitNotification(CDOProtocol.CommitNotificationInfo info)`
`void`
`sendLockNotification(CDOLockChangeInfo lockChangeInfo)`
`void`
`sendLockOwnerRemappedNotification(CDOBranch branch, CDOLockOwner oldOwner, CDOLockOwner newOwner)`
`void`
`sendRemoteMessageNotification(InternalSession sender, CDORemoteSessionMessage message)`
Deprecated.
As of 4.8 use `sendRemoteMessageNotification(InternalSession, InternalTopic, CDORemoteSessionMessage)`.
`void`
`sendRemoteMessageNotification(InternalSession sender, InternalTopic topic, CDORemoteSessionMessage message)`
`void`
`sendRemoteSessionNotification(InternalSession sender, byte opcode)`
Deprecated.
As of 4.8 use `sendRemoteSessionNotification(InternalSession, InternalTopic, byte)`.
`void`
`sendRemoteSessionNotification(InternalSession sender, InternalTopic topic, byte opcode)`
`void`
`sendRepositoryStateNotification(CDOCommonRepository.State oldState, CDOCommonRepository.State newState)`
Deprecated.
use `sendRepositoryStateNotification(org.eclipse.emf.cdo.common.CDOCommonRepository.State, org.eclipse.emf.cdo.common.CDOCommonRepository.State, CDOID)` instead
`void`
`sendRepositoryStateNotification(CDOCommonRepository.State oldState, CDOCommonRepository.State newState, CDOID rootResourceID)`
`void`
`sendRepositoryTypeNotification(CDOCommonRepository.Type oldType, CDOCommonRepository.Type newType)`
`void`
`sendTagNotification(int modCount, String oldName, String newName, CDOBranchPoint branchPoint)`
`void`
`setFirstUpdateTime(long firstUpdateTime)`
`void`
`setOpeningTime(long openingTime)`
`void`
`setOpenOnClientSide()`
`void`
`setSubscribed(boolean subscribed)`
`void`
`setUserID(String userID)`
`void`
`viewClosed(InternalView view)`
Deprecated.
As of 4.15 use `viewClosed(InternalView, boolean)`.
`void`
`viewClosed(InternalView view, boolean inverse)`

### Methods inherited from interface org.eclipse.emf.cdo.common.CDOCommonSession

`authorizeOperations, getBranchManager, getCommitInfoManager, getOpeningTime, getRevisionManager, getSessionID, options`

### Methods inherited from interface org.eclipse.emf.cdo.common.CDOCommonSession.Options

`getContainer, getLockNotificationMode, getPassiveUpdateMode, isLockNotificationEnabled, isPassiveUpdateEnabled, setLockNotificationEnabled, setLockNotificationMode, setPassiveUpdateEnabled, setPassiveUpdateMode`

### Methods inherited from interface org.eclipse.emf.cdo.common.id.CDOIDProvider

`provideCDOID`

### Methods inherited from interface org.eclipse.emf.cdo.common.security.CDOPermissionProvider

`getPermission`

### Methods inherited from interface org.eclipse.net4j.util.collection.Closeable

`close, isClosed`

### Methods inherited from interface org.eclipse.net4j.util.collection.Entity.Store.Provider

`getEntityStore`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.util.concurrent.IExecutorServiceProvider

`getExecutorService`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

### Methods inherited from interface org.eclipse.net4j.util.properties.IPropertiesContainer

`properties`

### Methods inherited from interface org.eclipse.emf.cdo.server.ISession

`getLastUpdateTime, getProtocol, isSubscribed`

### Methods inherited from interface org.eclipse.net4j.util.security.IUserAware

`getUserID`

## Field Details

### TEMP_VIEW_ID

static final int TEMP_VIEW_ID

See Also:
  - Constant Field Values

## Method Details

### getManager

InternalSessionManager getManager()

Specified by:
  `getManager` in interface `ISession`

### getRepository

InternalRepository getRepository()

Specified by:
  `getRepository` in interface `ISession`
Since:
  4.13

### setUserID

void setUserID(String userID)

Since:
  4.2

### setOpeningTime

void setOpeningTime(long openingTime)

Since:
  4.12

### getFirstUpdateTime

long getFirstUpdateTime()

Since:
  4.5

### setFirstUpdateTime

void setFirstUpdateTime(long firstUpdateTime)

Since:
  4.5

### isOpenOnClientSide

boolean isOpenOnClientSide()

Since:
  4.5

### setOpenOnClientSide

void setOpenOnClientSide()

Since:
  4.5

### getViews

InternalView[] getViews()

Specified by:
  `getViews` in interface `CDOCommonSession`
Specified by:
  `getViews` in interface `ISession`

### getView

InternalView getView(int viewID)

Specified by:
  `getView` in interface `CDOCommonSession`
Specified by:
  `getView` in interface `ISession`

### openView

InternalView openView(int viewID, CDOBranchPoint branchPoint)

Specified by:
  `openView` in interface `ISession`

### openView

InternalView openView(int viewID, CDOBranchPoint branchPoint, String durableLockingID)

Specified by:
  `openView` in interface `ISession`
Since:
  4.19

### openTransaction

InternalTransaction openTransaction(int viewID, CDOBranchPoint branchPoint)

Specified by:
  `openTransaction` in interface `ISession`

### openTransaction

InternalTransaction openTransaction(int viewID, CDOBranchPoint branchPoint, String durableLockingID)

Specified by:
  `openTransaction` in interface `ISession`
Since:
  4.19

### viewClosed

@Deprecated void viewClosed(InternalView view)
Deprecated.
As of 4.15 use `viewClosed(InternalView, boolean)`.

### viewClosed

void viewClosed(InternalView view, boolean inverse)

Since:
  4.15

### setSubscribed

void setSubscribed(boolean subscribed)

### collectContainedRevisions

void collectContainedRevisions(InternalCDORevision revision, CDOBranchPoint branchPoint, int referenceChunk, Set<CDOID> revisions, List<CDORevision> additionalRevisions)

### sendRepositoryTypeNotification

void sendRepositoryTypeNotification(CDOCommonRepository.Type oldType, CDOCommonRepository.Type newType) throws Exception

Throws:
  `Exception`

### sendRepositoryStateNotification

@Deprecated void sendRepositoryStateNotification(CDOCommonRepository.State oldState, CDOCommonRepository.State newState) throws Exception
Deprecated.
use `sendRepositoryStateNotification(org.eclipse.emf.cdo.common.CDOCommonRepository.State, org.eclipse.emf.cdo.common.CDOCommonRepository.State, CDOID)` instead

Throws:
  `Exception`

### sendRepositoryStateNotification

void sendRepositoryStateNotification(CDOCommonRepository.State oldState, CDOCommonRepository.State newState, CDOID rootResourceID) throws Exception

Throws:
  `Exception`
Since:
  4.1

### sendBranchNotification

@Deprecated void sendBranchNotification(InternalCDOBranch branch) throws Exception
Deprecated.
As of 4.3 use `sendBranchNotification(InternalCDOBranch, ChangeKind)`.

Throws:
  `Exception`

### sendBranchNotification

@Deprecated void sendBranchNotification(InternalCDOBranch branch, CDOBranchChangedEvent.ChangeKind changeKind) throws Exception
Deprecated.
As of 4.15 use `sendBranchNotification(ChangeKind, CDOBranch...)`.

Throws:
  `Exception`
Since:
  4.3

### sendBranchNotification

void sendBranchNotification(CDOBranchChangedEvent.ChangeKind changeKind, CDOBranch... branches) throws Exception

Throws:
  `Exception`
Since:
  4.15

### sendTagNotification

void sendTagNotification(int modCount, String oldName, String newName, CDOBranchPoint branchPoint) throws Exception

Throws:
  `Exception`
Since:
  4.10

### sendCommitNotification

@Deprecated void sendCommitNotification(CDOCommitInfo commitInfo) throws Exception
Deprecated.
As of 4.2 use `sendCommitNotification(CDOCommitInfo, boolean)`.

Throws:
  `Exception`

### sendCommitNotification

@Deprecated void sendCommitNotification(CDOCommitInfo commitInfo, boolean clearResourcePathCache) throws Exception
Deprecated.
As of 4.3 use `sendCommitNotification(CommitNotificationInfo)`.

Throws:
  `Exception`
Since:
  4.2

### sendCommitNotification

void sendCommitNotification(CDOProtocol.CommitNotificationInfo info) throws Exception

Throws:
  `Exception`
Since:
  4.3

### sendRemoteSessionNotification

@Deprecated void sendRemoteSessionNotification(InternalSession sender, byte opcode) throws Exception
Deprecated.
As of 4.8 use `sendRemoteSessionNotification(InternalSession, InternalTopic, byte)`.

Throws:
  `Exception`

### sendRemoteSessionNotification

void sendRemoteSessionNotification(InternalSession sender, InternalTopic topic, byte opcode) throws Exception

Throws:
  `Exception`
Since:
  4.17

### sendRemoteMessageNotification

@Deprecated void sendRemoteMessageNotification(InternalSession sender, CDORemoteSessionMessage message) throws Exception
Deprecated.
As of 4.8 use `sendRemoteMessageNotification(InternalSession, InternalTopic, CDORemoteSessionMessage)`.

Throws:
  `Exception`

### sendRemoteMessageNotification

void sendRemoteMessageNotification(InternalSession sender, InternalTopic topic, CDORemoteSessionMessage message) throws Exception

Throws:
  `Exception`
Since:
  4.17

### sendLockNotification

void sendLockNotification(CDOLockChangeInfo lockChangeInfo) throws Exception

Throws:
  `Exception`
Since:
  4.1

### sendLockOwnerRemappedNotification

void sendLockOwnerRemappedNotification(CDOBranch branch, CDOLockOwner oldOwner, CDOLockOwner newOwner) throws Exception

Throws:
  `Exception`
Since:
  4.19